Bug 473602 - %build should have the environment variable CFLAGS set...
%build should have the environment variable CFLAGS set...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 12:06 EST by Arjan van de Ven
Modified: 2010-06-28 06:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the patch. (344 bytes, patch)
2008-12-01 12:41 EST, Arjan van de Ven
no flags Details | Diff
Alternative patch (541 bytes, patch)
2009-04-21 17:43 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Arjan van de Ven 2008-11-29 12:06:56 EST
Description of problem:

For some reason, there is a discrepancy between the CFLAGS environment variable, and the CFLAGS that are desired as per RPM_OPT_FLAGS.
It would be very reasonable, and a lot less error prone, if the %build section just would set the CFLAGS environment variable to its proper value, as done by the attached patch.
Comment 1 Bill Nottingham 2008-12-01 12:10:49 EST
... patch?
Comment 2 Jon Masters 2008-12-01 12:17:49 EST
:)
Comment 3 Arjan van de Ven 2008-12-01 12:41:36 EST
Created attachment 325268 [details]
the patch.

eh woops; I did add it as part of filing the bug but it seems to not have stuck.
Comment 4 Ville Skyttä 2009-04-21 17:43:14 EDT
Created attachment 340635 [details]
Alternative patch

I'd suggest applying CXXFLAGS and FFLAGS as well to keep things in sync with %configure and benefit for more packages.
Comment 5 Bug Zapper 2009-06-09 05:59:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 08:24:08 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 06:51:09 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.